petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatSetBlockSizesFromMats

Sets the matrix block row and column sizes to match a pair of matrices

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetBlockSizesFromMats(Mat mat,Mat fromRow,Mat fromCol)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix
| fromRow | - matrix from which to copy row block size
| fromCol | - matrix from which to copy column block size (can be same as fromRow)

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize(), MatSetBlockSizes()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages